.sidebar-filter {
  border: 1px solid #dee2e6;
  border-radius: 8px;
  height: 84dvh;
  top: 8.5rem;
  overflow: hidden;
}

.sidebar-filter {
  overflow-y: auto;
  scrollbar-width: none;
}

.sidebar-filter::-webkit-scrollbar {
  display: none;
}

.sidebar-filter-landing.filter-sm,
.sidebar-filter.filter-sm {
  padding-bottom: 4.5rem;
}

.sidebar-filter form {
  height: 90dvh;
  max-height: fit-content;
  scrollbar-width: thin;
}

.input-search:focus ~ span {
  background-color: white;
}

.slider-container {
  position: relative;
  margin: 0 0.7rem 0 0.7rem;
}

.track {
  height: 8px;
  background: #ddd;
  border-radius: 5px;
  position: relative;
}

.range-fill {
  height: 8px;
  background: var(--primary-50);
  border-radius: 5px;
  position: absolute;
  top: 0;
}

.thumb {
  position: absolute;
  top: -6px;
  width: 20px;
  height: 20px;
  background: #fff;
  border: 2px solid #ff6f61;
  border-radius: 50%;
  cursor: pointer;
  text-align: center;
  line-height: 20px;
  font-size: 12px;
  user-select: none;
}

.price-input {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
  margin-top: 3rem;
}

.price-input .field {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.field span {
  color: #8a8a8a;
}

.field input {
  height: 33px;
  outline: none;
  font-size: 19px;
  border-radius: 12px;
  text-align: center;
  color: #8a8a8a;
  border: 2px solid #8a8a8a;
  --moz-appearance: textfield;
}

.star-radio input[type="radio"]:checked + label::after {
  color: var(--secondary-color);
}

.star-radio {
  height: 1.8rem;
  display: flex;
  align-items: center;
  gap: 6px;
}

.star-radio input[type="radio"] {
  display: none;
}

.star-radio label {
  cursor: pointer;
}

.star-radio label::before {
  content: "★";
  font-size: 21px;
  color: #ccc;
  margin-left: 6px;
}

.star-radio input[type="radio"]:checked + label::before {
  color: var(--secondary-color);
}

.star-radio label:hover::before {
  color: var(--secondary-color);
}

.facilities-checkboxes {
  height: 18rem;
}

.section-filter-sortes .btn-filter-group button:hover {
  background-color: #f97a0045;
  border: 1px solid var(--primary-dark);
  color: #954400;
}

.section-filter-sortes .btn-filter-group button.active {
  background-color: #f97a0045;
  border: 1px solid var(--primary-dark);
  color: #954400;
}

@media (max-width: 768px) {
  .section-filter-sortes {
    top: 4.8rem;
    background-color: var(--bg-real);
  }
}
